×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Regular Contributor
    Join Date
    Dec 2005
    Posts
    121

    Build a Midlet that use SIP API using Nokia Prototype SDK 4.0 for Java(TM) ME

    Hello!

    I only need to know if it's possible to build a midlet that use SIP API (JSR 180) using Nokia Prototype SDK 4.0 for Java(TM) ME.
    And then, run this midlet succesfully in a real mobile phone (like Nokia N70)

    I can't use S60 SDK 3rd Edition for Java (includes SIP support), because the Java Midlet must interact with a native Symbian C++ Server that runs on S60 v1 and v2 (Not ported to V3 yet).

    Possible workaround: I'm wondering if I can build a midlet with S60 SDK 3rd Edition for Java and then run this midlet in a S60 v2 phone (like N70 or N90).

    Thank You very much.

  2. #2
    Super Contributor
    Join Date
    Dec 2005
    Location
    Europe/Poland/Warsaw
    Posts
    1,697

    Re: Build a Midlet that use SIP API using Nokia Prototype SDK 4.0 for Java(TM) ME

    HI Alfredo,
    as to workaround:
    I've 6680 device for tests and I'm using S60 SDK 3rd edition for deployment and tests, no problems, I can exclude features not supported on older platform than 3rd edition in configuration for project,
    Nokia Prototype SDK 4.0 for that device has bugs, so I'm using S60 3rd edition,

    regards,
    Peter

  3. #3
    Regular Contributor
    Join Date
    Dec 2005
    Posts
    121

    Re: Build a Midlet that use SIP API using Nokia Prototype SDK 4.0 for Java(TM) ME

    Thank You Peter!

    Please, could you explain which build tools are you using?

    Carbide.j + S60 SDK 3rd edition for Java?

    Related to : "I can exclude features not supported on older platform than 3rd edition in configuration for project"

    How can I exclude the features not supported?

    Thank You! Have a nice day

  4. #4
    Regular Contributor
    Join Date
    Dec 2005
    Posts
    121

    Re: Build a Midlet that use SIP API using Nokia Prototype SDK 4.0 for Java(TM) ME

    I have used this approach:

    Pack a jar that includes:

    1. A class that use SIP API
    2. classes that implements SIP API:

    (Unpacking ZIP from Nokia Prototype SDK 4.0 that implements SIP API)

    The problem is that I'm not able to install:

    Error: autorization failed .jar installation

    Thread related: http://discussion.forum.nokia.com/fo...ization+failed

    Has someone found a simple solution?

    Thank You!

Similar Threads

  1. Problem with Nokia Prototype SDK 4.0 emulators
    By mikeaf in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2009-05-05, 06:52
  2. PC Suite error: (Code: Init IMediaControl2) HELP?!
    By chunkyspudmonkey in forum General Development Questions
    Replies: 29
    Last Post: 2008-06-30, 11:47

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×